#############################################################
#
# phidget-nand
#
#############################################################
PHIDGET_NAND_DESTDIR:=$(TARGET_DIR)/sbin
PHIDGET_NAND_SOURCE:=package/phidget_nand/src
PHIDGET_NAND_DIR:=$(BUILD_DIR)/phidget_nand

$(PHIDGET_NAND_DIR)/.unpacked:
	mkdir -p $(PHIDGET_NAND_DIR)
	cp -r $(PHIDGET_NAND_SOURCE) $(PHIDGET_NAND_DIR)
	touch $@

$(PHIDGET_NAND_DIR)/.compiled: $(PHIDGET_NAND_DIR)/.unpacked
	$(MAKE) CC=$(TARGET_CC) -C $(PHIDGET_NAND_DIR)/src
	touch $@

$(PHIDGET_NAND_DESTDIR)/phidgetnand: $(PHIDGET_NAND_DIR)/.compiled
	install -m 755 $(PHIDGET_NAND_DIR)/src/phidgetnand $(PHIDGET_NAND_DESTDIR)/phidgetnand
	$(STRIPCMD) $(STRIP_STRIP_ALL) $(PHIDGET_NAND_DESTDIR)/phidgetnand

phidget-nand: uclibc $(PHIDGET_NAND_DESTDIR)/phidgetnand

phidget-nand-source: $(PHIDGET_NAND_DIR)/.unpacked

phidget-nand-clean:
	rm -rf $(PHIDGET_NAND_DESTDIR)/phidgetnand
	-$(MAKE) -C $(PHIDGET_NAND_DIR)/src clean
	rm -f $(PHIDGET_NAND_DIR)/.compiled

phidget-nand-dirclean:
	rm -rf $(PHIDGET_NAND_DIR)

.PHONY: phidget-nand
#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_PHIDGET_NAND)),y)
TARGETS+=phidget-nand
endif
