#ifndef _PHIDGETNAND
#define _PHIDGETNAND

#define _GNU_SOURCE
#include <ctype.h>
#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <stdint.h>
#include <libgen.h>
#include <string.h>
#include <time.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <sys/mount.h>
#include <sys/mman.h>
#include <sys/types.h>
#include <sys/syscall.h>
#include <getopt.h>
#include "crc32.h"
#include <sys/reboot.h>
#include <linux/reboot.h>

#include <asm/types.h>
#include <mtd/mtd-user.h>
#include "jffs2-user.h"

#define PROGRAM "phidgetnand"
#define VERSION "$Revision: 1.00 $"


#define MAX_PAGE_SIZE	2048
#define MAX_OOB_SIZE	64

int nand_erase (int argc, char *argv[]);
int nand_write (int argc, char *argv[]);

void display_help (void);
void display_version (void);

extern int boot;

#endif
