#!/usr/bin/webif-page
<? 
. /usr/lib/webif/webif.sh
update_changes

SAVED=0

case "$CHANGES" in
	""|0)FORM_mode=nochange
esac

case "$FORM_mode" in
	nochange) header "$FORM_cat" "" "No configuration changes were made.";;
	clear)
		rm -r /tmp/.webif >&- 2>&-
		rm -r /tmp/.config >&- 2>&-
		header "$FORM_cat" "" "Your configuration changes have been discarded."
		CHANGES=""
		echo "${FORM_prev:+<meta http-equiv=\"refresh\" content=\"2; URL=$FORM_prev\" />}"
		;;
	review)
		header "$FORM_cat" "" "Current configuration changes:"
		cd /tmp/.config
		for configname in *.conf; do
			grep = $configname >&- 2>&- && {
				echo -n "<h3>${configname%.conf}</h3><br /><pre>"
				cat $configname
				echo '</pre><br />'
			}
		done

		EDITED_FILES=""
		for edited_file in $(find "/tmp/.webif/edited-files/" -type f 2>&-); do
			edited_file=$(echo "$edited_file" | sed s/'\/tmp\/.webif\/edited-files'//g)
			EDITED_FILES="$EDITED_FILES $edited_file"
		done

		EDITED_FILES="${EDITED_FILES:+<h3 style="display:inline">Edited files: </h3>$EDITED_FILES<br />}"
		echo "$EDITED_FILES"

		;;
	save)
		header "$FORM_cat" "" "Updating your configuration..."
		CHANGES=""
		echo "<pre>"
		/usr/lib/webif/apply.sh 2>&1
		echo "Returning to previous page..."
		echo "</pre>${FORM_prev:+<meta http-equiv=\"refresh\" content=\"2; URL=$FORM_prev\" />}"
		;;
esac

SCRIPT_NAME=${FORM_prev:-$SCRIPT_NAME}

footer

?>
