#!/usr/bin/webif-page
<? 
. /usr/lib/webif/webif.sh
header "Main" "PhidgetSBC Info" "PhidgetSBC Info"

_version=$( grep "version" /etc/phidgetsbc_version | awk '{print $2}' )
_version_date=$( grep "date" /etc/phidgetsbc_version | awk '{print $2}' )
_type=$( grep "type" /etc/phidgetsbc_version | awk '{print $2}' )
_phidget21version="$(phidget21version)"
_kversion="$( cat /proc/version )"
_date="$(date)"
_mac="$(/sbin/ifconfig eth0 | grep HWaddr | awk '{print $5}')"
_board_name="$(cat /proc/cpuinfo | awk '/^Hardware/ {print $3}')"
_board_version="$(cat /proc/cpuinfo | awk '/^Revision/ {print ("0x"$3)+0}')"

echo -n "<pre>"
cat /etc/banner
echo "</pre>"

cat <<EOF
<br />
<br />

<h3>System Information</h3>
<div>
<table style="text-align: left;" border="0" cellpadding="2" cellspacing="2">
	<tr>
		<td style="min-width: 200px;">Board Name</td>
		<td><pre>$_board_name</pre></td>
	</tr>
	<tr>
		<td>Board Revision</td>
		<td><pre>$_board_version</pre></td>
	</tr>
	<tr>
		<td>Firmware Version</td>
		<td><pre>$_version.$_version_date ($_type)</pre></td>
	</tr>
	<tr>
		<td>Kernel Version</td>
		<td><pre>$_kversion</pre></td>
	</tr>
	<tr>
		<td>Phidget Library</td>
		<td><pre>$_phidget21version</pre></td>
	</tr>
	<tr>
		<td>Current Date/Time</td>
		<td><pre>$_date</pre></td>
	</tr>
	<tr>
		<td>MAC Address</td>
		<td><pre>$_mac</pre></td>
	</tr>
</table>
</div>

EOF

footer
?>
<!--
##WEBIF:name:Main:10:PhidgetSBC Info
-->
