#############################################################
#
# zd1211_firmware
#
#############################################################
ZD1211_FIRMWARE_DESTDIR:=$(TARGET_DIR)/lib/firmware/zd1211
ZD1211_FIRMWARE_FILES:=package/zd1211_firmware/files

$(ZD1211_FIRMWARE_DESTDIR)/zd1211_ub:
	install -d -m 755 $(ZD1211_FIRMWARE_DESTDIR)
	install -m 644 $(ZD1211_FIRMWARE_FILES)/zd* $(ZD1211_FIRMWARE_DESTDIR)

zd1211-firmware: uclibc $(ZD1211_FIRMWARE_DESTDIR)/zd1211_ub

zd1211-firmware-clean:
	rm -rf $(ZD1211_FIRMWARE_DESTDIR)

.PHONY: zd1211-firmware
#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_ZD1211_FIRMWARE)),y)
TARGETS+=zd1211-firmware
endif
